%define name gejengel
%define version 0.1.3
%define release %mkrel 5

Summary: Gejengel Music PLayer
Name:    %{name}
Version: %{version}
Release: %{release}
Group:   Sound
License: GPLv2+
URL: http://gejengel.googlecode.com/svn/trunk/web/index.html
Source0: http://gejengel.googlecode.com/svn/trunk/web/index.html/%{name}-%{version}.tar.xz
Source1: %{name}.png
Patch:   %{name}-0.1.0-ui.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: desktop-file-utils 
BuildRequires: libsexymm2-devel
BuildRequires: pkgconfig 
BuildRequires: ffmpeg-devel
BuildRequires: libflac8-devel
BuildRequires: taglib-devel
BuildRequires: sqlite3-devel
BuildRequires: mad-devel
BuildRequires: libmagick-devel
BuildRequires: pulseaudio-devel
BuildRequires: libffmpeg-devel 
BuildRequires: libnotify1-devel
BuildRequires: libdbus-1-devel
BuildRequires: libalsa2-devel
BuildRequires: glibmm2.4-devel
BuildRequires: libopenal-devel
BuildRequires: lastfmlib-devel
BuildRequires: libxdg-basedir-devel
BuildRequires: intltool 
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: gettext
Requires: 	lastfmlib
Requires:	libltdl7
Requires:	openal
Requires:	libopenal1
Requires:	libmagick4

%description
Gejengel is an audio player which focuses on performance and simplicity, yet with a nice set of features.
Some key features:

* Easy to use
* Properly handles compilation albums (even if album artist tag is not set)
* Lean and fast (low on dependencies)
* Gapless playback (even for mp3 by reading encoder delay, zeropadding from files)
* Various audio outputs (Alsa, Pulseaudio, OpenAL)
* Last.Fm scrobbling (optional plugin)
* Remote control through dbus (MPRIS specification) (optional plugin)st even for 
huge music collections.


%prep
%setup -q 
%patch -p1

%build
%configure2_5x \
        --disable-shared \
        --disable-ffmpeg

%make

%install
rm -rf %{buildroot}
%makeinstall_std


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=0.1.0
Encoding=UTF-8
Name=Gejengel
Comment=Music player
Exec=%{name}
Terminal=false
Icon=%{name}
Type=Application
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Sound;
EOF

rm -rf %buildroot/%{_libdir}

# icon
mkdir -p %buildroot/%_datadir/pixmaps
install -m 644 %SOURCE1 %buildroot/%_datadir/pixmaps

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog COPYING NEWS AUTHORS TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Aug 09 2010 Texstar <texstar at gmail.com> 0.1.3-5pclos2010
- backout libjpeg8

* Wed Aug 04 2010 Texstar <texstar at gmail.com> 0.1.3-4pclos2010
- rebuild libjpeg8

* Tue Aug 03 2010 Texstar <texstar at gmail.com> 0.1.3-3pclos2010
- rebuild against libmagick4

* Wed May 19 2010 Texstar <texstar at gmail.com> 0.1.3-2pclos2010
- rebuild against updated openal

* Tue Apr 13 2010 slick50 <lxgator@gmail.com>  0.1.3-1pclos2010
- 0.1.3

* Wed Jan 05 2010 Texstar <texstar at gmail.com> 0.1.0-6pclos2010
- rebuild for graphviz

* Sat Dec 26 2009 Texstar <texstar at gmail.com> 0.1.0-5pclos2010
- rebuild

* Sat Sep 05 2009 Texstar <texstar@gmail.com> 0.1.0-4pclos2009
- rebuild against updated libfmlib

* Thu Aug 20 2009 Texstar <texstar@gmail.com> 0.1.0-3pclos2009
- rebuild against update package

* Fri Aug 07 2009 slick50 <lxgator@gmail.com> 0.1.0-2pclos2009
- rebuild - added lastfmlib-devel need to build lastfm plugin

* Fri Aug 07 2009 slick50 <lxgator@gmail.com> 0.1.0-1pclos2009
- initial build
